<?php
$transverse = $this->module()->getClientModuleConfiguration('indicator', 'transverse');
?>
	<div
		ng-controller="groupIndicatorFormController as self"
		ng-init="self.init(<?= $this->groupindicator ? $this->groupindicator->getId() : '' ?>)">
		<ul class="breadcrumb">
			<li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
			<li>
				<a href="<?= $this->url('group-indicator') ?>"><?= $this->translate('group-indicator_module_title') ?></a>
			</li>
			<li class="active">
				<span ng-if="self.groupindicator.id">
					{{self.panelTitle}}
				</span>
				<span ng-if="!self.groupindicator.id">
					<?= $this->translate('indicator_nav_form') ?>
				</span>
			</li>
		</ul>

		<h1 class="page-title">
			<?= $this->icon('groupindicator') ?> <?= $this->translate('group-indicator_module_title') ?>
		</h1>

		<div class="row row-padding">
			<div class="col-xs-12">
				<div class="panel">
					<div class="panel-heading">
						<span ng-if="self.groupindicator.id">
							{{self.panelTitle}}
						</span>
						<span ng-if="!self.groupindicator.id">
							<?= $this->translate('group-indicator_nav_form') ?>
						</span>

						<div class="panel-heading-right">
							<div
								class="panel-heading-actions"
								ng-if="self.groupindicator.id && self.groupindicator._rights.delete"
								tooltip="<?= $this->translate('tooltip_delete') ?>">
								<?= $this->icon('delete', 'pointer', ['ng-click' => 'self.deleteGroupIndicator()']) ?>
							</div>
						</div>
					</div>
					<div class="panel-body">
						<div class="row">
						<div class="col-sm-2">
							<div class="separator">
								<ul class="campain-form-nav nav nav-pills nav-stacked">
									<li class="active">
										<a href="#group-indicator" data-toggle="tab">
										<?= $this->icon('groupindicator') ?></i> <?= $this->translate('group-indicator_nav_group-indicator') ?></a>
									</li>
									<li ng-if="self.groupindicator.id !== undefined">
										<a href="#indicator" data-toggle="tab">
										<?= $this->icon('indicator') ?></i> <?= $this->translate('group-indicator_nav_indicator') ?></a>
									</li>
									<li ng-if="self.groupindicator.id !== undefined">
										<a href="#measure" data-toggle="tab">
										<?= $this->icon('measure') ?></i> <?= $this->translate('group-indicator_nav_measure') ?></a>
									</li>
								</ul>
							</div>
						</div>
							<div class="col-sm-10">
								<div class="tab-content">
									<div role="tabpanel" class="tab-pane active" id="group-indicator">
										<form name="groupIndicatorForm" ng-submit="self.saveGroupIndicator()">
											<input
												type="hidden" name="id"
												ng-model="self.groupindicator.id"
											/>

											<div class="row">
												<div class="form-group required col-sm-6 col-lg-4">
													<label><?= $this->translate('group-indicator_field_name') ?></label>
													<input
														type="text"
														name="name"
														class="form-control"
														autocomplete="off"
														required
														ng-model="self.groupindicator.name"
														ng-readonly="!self.groupindicator._rights.update"
													/>
													<field-errors field="name" errors="self.errors.fields"></field-errors>
												</div>
											</div>
											<div class="row">
												<div class="form-group required col-sm-6 col-lg-4">
													<label><?= $this->translate('group-indicator_field_indicators') ?></label>
													<indicator-select name="indicators" required="false"
																	ng-model="self.groupindicator.indicators" ng-disabled="!self.groupindicator._rights.update"
																	configuration="{ service : { apiParams : { col : ['id', 'name', 'type', 'values', 'keywords'] } } }"
																	form="groupindicatorForm"
																	multiple="true"
																	filters="{archived:false}"></indicator-select>
													<field-errors field="indicator" errors="self.errors.fields"></field-errors>
												</div>
											</div>
											
											<div class="row">
												<div class="form-group required col-sm-6 col-lg-4">
													<label><?= $this->translate('group-indicator_field_operator') ?></label>
													<select
														class="form-control"
														required
														ng-model="self.groupindicator.operator"
														ng-disabled="!self.groupindicator._rights.update"
													>
														<option value=""></option>
														<?php
														foreach (\Indicator\Entity\GroupIndicator::getOperators() as $operator) {
															echo '<option value="' . $operator . '">' . $this->translate('indicator_operator_' . $operator) . '</option>';
														}
														?>
													</select>
													<field-errors field="operator" errors="self.errors.fields"></field-errors>
												</div>
											</div>

											<div ng-if="self.groupindicator._rights.update" class="row">
												<div class="col-xs-12">
													<button
														type="submit"
														class="btn btn-submit"
														ng-disabled="self.loading.remove || self.loading.save"
													>
														<?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
														<?= $this->translate('form_button_save') ?>
													</button>
												</div>
											</div>
										</form>
									</div>
									<div  ng-if="self.groupindicator.id !== undefined" class="tab-pane" id="indicator">
										<?= $this->partial('partial/group-indicator_by_indicators.phtml', ['object' => $this->groupindicator]) ?>
									</div>
									<div ng-if="self.groupindicator.id !== undefined" class="tab-pane" id="measure">
										<?= $this->partial('partial/group-indicator_by_measures.phtml', ['object' => $this->groupindicator]) ?>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php
    $fabLinks = [];

    if ($this->acl()->isAllowed('indicator:e:group-indicator:c')) {
        $fabLinks[] = [
            'href' => $this->url('group-indicator/form'),
            'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('group-indicator_nav_form')
        ];
    }

    echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/indicator/service/indicator.js');
$this->angular('js/src/indicator/service/groupindicator.js');

$this->angular('js/src/indicator/controller/groupindicator/form.js');

$this->angular('js/src/application/query/service/query.js');
$this->angular('js/src/indicator/directive/indicatorSelect.js');
?>
